keyboard for Bambara not usable : name in evdev.xml points to Malayalam.

Bug #1299829 reported by Jean-Jacques Méric on 2014-03-30
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
xkeyboard-config
Unknown
Medium
xkeyboard-config (Ubuntu)
Undecided
Unassigned

Bug Description

I am dong research in africa, languages, I have little knowledge about Linux/Ubuntu.
I have been implementing bambara keyboards for Windows and Mac OSX (with Ukelele).

A year ago I noticed that I could not use the keyboard for Bambara, apparently it was giving access to a strange asian language.
Since then, my Ubuntu computer is updated regularly, it now runs Ubuntu 13.10

I spent a lot of time yesterday, I share what I found :

1) the <name> in rules/edvdev.xml for this keyboard is "ml"
this code is actually the one for a language called Malayalam, spoken in Kerala, south of India. Nothing to do with West Africa, and it's this language alphabet which is displayed when a user selects the Bambara keyword.
I changed it to "bm", which is the ISO 639-1 code. (I changed also the ! layout section in evdev.lst)

2) the "ml" file in symbols is actually for Bambara! Some of the keys defined are obsolete, it does not align with the keys used by other SIL.org keyboard, but it is for bambara. I copied this file into a file called "bm" and renamed "ml" as "ml-old"
I updated the bm file to align it to the SIL standards.

This fixed it... only partially :
the Malayalam keyboard does not display any longer when I select Bambara. I does now display the bambara keyboard.
But : it still displays the one defined in the old "ml" file, not the one I corrected in the "bm" file!!!

I messed up, restarted several times, to no avail : still the old obsolete keyboard.
The only thing that works is that I can now use the keyboard variant which is defined in my "bm" as "French (Mali, alternative)" with my new keys definitions.
When I add the basic "Bambara" keyboard, it displays the old layout. In the drop down list of keyboard at the top right of the screen, it is there... but greyed out.
"French (Mali, alternative)" is OK for my personal use, but my objective is to make it available generally as "Bambara".

Please help. Of cours I'm OK to supply the "bm" file

Jean-Jacques, Paris

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1299829/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
Jean-Jacques Méric (jjmeric) wrote :

Hi there
I have made a little progress understanding why my changes do not take place.
in fact, it works all right (almost)
- le bm keyboard is no longer greyed out if the labels in the bm file, evdev.xml and evdev.lst are aligned
I made them all "Bambara (Mali)" and "French (Mali, Bambara)"-this is better than "French (Mali, alternative)" !
and "it works"
- the last thing that does not work is the dispay of layout of the keyboard : it still show the old layout sa defined the "ml" file... but it works ok as defined in the new corrected "bm" file

I'm attaching the files (zipped) that go under X11/KBD/rules (evdev.xml and evdev.lst) and X11/KBD/symbols (bm)

at the minute I still have a problem with the ALTGR+, which sould produce a GRAVE ACCENT (U0060) but still gives the former definition of the key : bizarely, change takes time!

Jean-Jacques Méric (jjmeric) wrote :
tags: added: saucy
Jean-Jacques Méric (jjmeric) wrote :

identifying the right package
I followed through the doc for this, the only thing I could try was
terminal: xprop WM_CLASS
that only says "gnome-control-center"
terminal: locate -b "\[executable name]"
did not report anything

that's actually one of the elements under system preferences (in French: "Paramètres système"
under text input methods (in French "Saisie de texte")
but as I said : it's not a bug in there, the bug is in the data supplied in rules\evdev.xml and \symbols file

affects: ubuntu → gnome-control-center (Ubuntu)
Jean-Jacques Méric (jjmeric) wrote :

THANKS for progressing this. HINT : I work at INALCO which is the biggest Language teaching University in France: Languages from all over the world, attended by over 9,000 students.

The library (BULAC) runs hundreds of workstations, all under Ubuntu.

Switching keyboards here is done several times a day as students change seats !
Fixing the issue for Bambara will be very welcome !

Sebastien Bacher (seb128) wrote :

The issue should probably be reported to upstream on https://bugs.freedesktop.org/enter_bug.cgi?product=xkeyboard-config

affects: gnome-control-center (Ubuntu) → xkeyboard-config (Ubuntu)

As reported here here on Launchpad https://bugs.launchpad.net/ubuntu/+source/xkeyboard-config/+bug/1299829
there seems to be a problem with Bambara keyboard settings.

Copy-pasted from the original bug-report:

I am dong research in africa, languages, I have little knowledge about Linux/Ubuntu.
I have been implementing bambara keyboards for Windows and Mac OSX (with Ukelele).

A year ago I noticed that I could not use the keyboard for Bambara, apparently it was giving access to a strange asian language.
Since then, my Ubuntu computer is updated regularly, it now runs Ubuntu 13.10

I spent a lot of time yesterday, I share what I found :

1) the <name> in rules/edvdev.xml for this keyboard is "ml"
this code is actually the one for a language called Malayalam, spoken in Kerala, south of India. Nothing to do with West Africa, and it's this language alphabet which is displayed when a user selects the Bambara keyword.
I changed it to "bm", which is the ISO 639-1 code. (I changed also the ! layout section in evdev.lst)

2) the "ml" file in symbols is actually for Bambara! Some of the keys defined are obsolete, it does not align with the keys used by other SIL.org keyboard, but it is for bambara. I copied this file into a file called "bm" and renamed "ml" as "ml-old"
I updated the bm file to align it to the SIL standards.

This fixed it... only partially :
the Malayalam keyboard does not display any longer when I select Bambara. I does now display the bambara keyboard.
But : it still displays the one defined in the old "ml" file, not the one I corrected in the "bm" file!!!

I messed up, restarted several times, to no avail : still the old obsolete keyboard.
The only thing that works is that I can now use the keyboard variant which is defined in my "bm" as "French (Mali, alternative)" with my new keys definitions.
When I add the basic "Bambara" keyboard, it displays the old layout. In the drop down list of keyboard at the top right of the screen, it is there... but greyed out.
"French (Mali, alternative)" is OK for my personal use, but my objective is to make it available generally as "Bambara".

Please help. Of cours I'm OK to supply the "bm" file

Changed in xkeyboard-config:
importance: Unknown → Medium
status: Unknown → Confirmed

It seems that it has already been fixed (commit 4779e2745094ebe0c06364b4099d7067ae750d07) in response to this bug report:

https://bugzilla.redhat.com/show_bug.cgi?id=647433

Jean-Jacques Méric (jjmeric) wrote :

Thanks for pointing me to this bug report I did not know about.
It may have been fixed in the past - or in redhat or elsewhere (sorry I am so ignorant) -
but it's not fixed here at home (Ubuntu), and it's not fixed on the hundreds of Ubuntu workstations at Ecole des Langues Orientales (INALCO, Paris) - I'll check again later this week.

Jean-Jacques Méric (jjmeric) wrote :

and sorry, I forgot to repeat : the layout needs anyhow to be fixed as it does not longer reflect the official alphabet, and is remote fro the other current implementations for Windows and for Mac aligned on the SIL recommendations.
See the files I posted.

Thanks for pointing me to this bug report I did not know about.
It may have been fixed in the past - or in redhat or elsewhere (sorry I am so ignorant) -
but it's not fixed here at home (Ubuntu), and it's not fixed on the hundreds of Ubuntu workstations at Ecole des Langues Orientales (INALCO, Paris) - I'll check again later this week.
+ the layout needs anyhow to be fixed as it does not longer reflect the official alphabet, and is remote fro the other current implementations for Windows and for Mac aligned on the SIL recommendations.
See the files I posted.

I'm not the repporter of the bug.
You want Jean-Jacques.

dear Serguey

I submitted the bug report and possible keyboard alternative map, as I
fixed it on my Ubuntu machine (and per SIL standards)

However I am not competent to confirm your fix is OK, sorry I am not
knowledgeable at all on Linux
and I have no clue on how to test your fixes using the page mentionned.

Sorry this is of little help for now.

Thanks for the effort - and if there is anything I can do to help,
please tell me how to !

Friendly regards from Paris
JJ

Le 21/06/2014 22:33, Sergey V. Udaltsov a écrit :
> Søren,
>
> Could you please confirm if this fixes your issue:
>
> http://cgit.freedesktop.org/xkeyboard-
> config/commit/?id=4779e2745094ebe0c06364b4099d7067ae750d07
>

---
Ce courrier électronique ne contient aucun virus ou logiciel malveillant parce que la protection avast! Antivirus est active.
http://www.avast.com

Hi JJ

Well, we can wait till next Ubuntu release then you'll see if it all
works correctly:)

Cheers,

Sergey

On Sun, Jun 22, 2014 at 10:22 AM, jjmeric <email address hidden> wrote:
> dear Serguey
>
> I submitted the bug report and possible keyboard alternative map, as I fixed
> it on my Ubuntu machine (and per SIL standards)
>
> However I am not competent to confirm your fix is OK, sorry I am not
> knowledgeable at all on Linux
> and I have no clue on how to test your fixes using the page mentionned.
>
> Sorry this is of little help for now.
>
> Thanks for the effort - and if there is anything I can do to help, please
> tell me how to !
>
> Friendly regards from Paris
> JJ
>
> Le 21/06/2014 22:33, Sergey V. Udaltsov a écrit :
>>
>> Søren,
>>
>> Could you please confirm if this fixes your issue:
>>
>> http://cgit.freedesktop.org/xkeyboard-
>> config/commit/?id=4779e2745094ebe0c06364b4099d7067ae750d07
>>
>
>
> ---
> Ce courrier électronique ne contient aucun virus ou logiciel malveillant
> parce que la protection avast! Antivirus est active.
> http://www.avast.com
>

Hello Jean-Jacques,

Ehm... how to say this... The filename 'ml' for Bambara layouts is correct. The filenames in the symbols/ directory follow country codes, not language codes. See for example the files for Kenia and Tanzania (symbols/ke and symbols/tz) which both contains layouts for Swahili (swa). There is no sw of swa file, so there should be no bm file either. You should rename your bm file to ml again. It will then still not work, because somewhere hidden there is a mistaken redirect from ml to in(mal), but that has been fixed in xkeyboard-config and should be fixed in the next release of Ubuntu.

However, in comment #10 you say that the current Bambara layouts are old and need to be fixed. Could you please file a new bug upstream and post your up-to-date ml file (renamed from bm) here:
https://bugs.freedesktop.org/enter_bug.cgi?product=xkeyboard-config
Just that layouts file, no need for evdev.xml or anything else. The bare file, not zipped or compressed.

-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/xkeyboard-config/xkeyboard-config/issues/97.

Changed in xkeyboard-config:
status: Confirmed → Unknown
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.